<?php
namespace App\Repositories\Interfaces\Website;

use Illuminate\Http\Request;

interface BlogRepositoryInterface
{
    public function getBlogs(Request $request): \Illuminate\Contracts\Pagination\LengthAwarePaginator;
    public function getTopBlogs(int $limit = 5);
    public function getBlogDetails(string $slug);
}
